<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="./fontawesome-styles.html">

<dom-module id="ug-boton">
  <template>
    <style include="fontawesome-styles"></style>
    <style>
      .fa { font-size: 50px;}
      :host { display: block; }
      .ancla { text-decoration: none; color: #fff;}
      .content-icono { padding-top: 1.5rem; }
      .main-content:hover {
        border: 2px; 
        font-size: 13px;
        box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.75);
      }
      .descripcion{
        font-size: 1rem;
        font-weight: normal;
        margin-top: 1rem;
        font-family: 'Raleway', sans-serif!important;
      }
      .main-content { 
        margin:10px; 
        width: 142px; 
        height: 140px; 
        text-align:center; 
      }
    </style>
    
    <div class="main-content" style="background-color:[[color]];">
      <a class="ancla" href="[[url]]">
        <div class="content-icono">
          <i id="icono" class="fa fa-2x"></i>
        </div>
        <h3 class="descripcion">[[descripcion]]</h3>
      </a>
    </div>
    
  </template>

  <script>
    /**
     * `ug-boton`
     * Boton para los paneles
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class UgBoton extends Polymer.Element {
      static get is() { return 'ug-boton'; }
      static get properties() {
        return {
          url: String,
          color: String,
          descripcion: String,
          icono: {
            type: String,
            observer: '_setIcon'
          }
        };
      }
      _setIcon() {
        this.$.icono.classList.add(this.icono);
      }
    }

    window.customElements.define(UgBoton.is, UgBoton);
  </script>
</dom-module>
